apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: meditech-frontend
  namespace: meditech-dev
  labels:
    app: meditech-frontend
    source: becomingtech
    env: dev
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: letsencrypt-staging
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"

spec:
  tls:
    - hosts:
        - meditech.deployed.online
      secretName: dev.meditech-deployed-online-cert-staging
  rules:
    - host: meditech.deployed.online
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: meditech-frontend
                port:
                  number: 80